Bug 180723 - CVE-2006-0576 Arbitrary code execution via OProfile
CVE-2006-0576 Arbitrary code execution via OProfile
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: oprofile (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: William Cohen
: Security
Depends On:
  Show dependency treegraph
Reported: 2006-02-09 15:56 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-09-20 16:01:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2006-02-09 15:56:10 EST
Arbitrary code execution via OProfile

A bug has been discovered in OProfile's opcontrol command.  By setting
PATH to point at certain malicious scripts, it is possible to execute
arbitrary commands as root.

We don't ship opcontrol setuid, but if a user has the ability to run
opcontrol via sudo, this issue can be leveraged.

It should be noted that untrusted users should not be given sudo
access, which seriously mitigates the potential damage this issue can


This issue also affects RHEL3
Comment 1 William Cohen 2006-02-10 10:15:30 EST
There was some discussion on the oprofile mailing list to fix this. The
resulting patch from the upstream oprofile has been backported to the RHEL4
oprofile. Should be in oprofile 0.8.1-22.
Comment 2 Josh Bressers 2006-03-01 14:53:22 EST
Don't forget to patch this in RHEL3 as well as RHEL4.
Comment 3 William Cohen 2006-03-01 15:08:18 EST
This patch was checked into RHEL-3 repository. Just need to submit to the build
Comment 4 Josh Bressers 2006-09-20 16:01:49 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.